Package be.fgov.ehealth.mediprima.core.v1

# Class BySsinType

java.lang.Object
be.fgov.ehealth.mediprima.core.v1.BySsinType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:17+02:00", comments="JAXB RI v4.0.5") public class BySsinType extends Object implements Serializable

Java class for BySsinType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BySsinType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Ssin" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <choice>
               <element name="Period" type="{urn:be:fgov:ehealth:mediprima:core:v1}PeriodType"/>
               <element name="ReferenceDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BySsinType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PeriodType`
  `getPeriod()`
  Period used to retrieve the medical cards that were valid on that period
  `Instant`
  `getReferenceDate()`
  Date used to retrieve the medical card that were valid on this date
  `String`
  `getSsin()`
  SSIN of the beneficiary
  `void`
  `setPeriod(PeriodType value)`
  Sets the value of the period property.
  `void`
  `setReferenceDate(Instant value)`
  Sets the value of the referenceDate property.
  `void`
  `setSsin(String value)`
  Sets the value of the ssin property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BySsinType

    public BySsinType()

- ## Method Details

  - ### getSsin

    public String getSsin()
    SSIN of the beneficiary
    Returns:
      possible object is `String`

  - ### setSsin

    public void setSsin(String value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSsin()`

  - ### getReferenceDate

    public Instant getReferenceDate()
    Date used to retrieve the medical card that were valid on this date
    Returns:
      possible object is `String`

  - ### setReferenceDate

    public void setReferenceDate(Instant value)
    Sets the value of the referenceDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getReferenceDate()`

  - ### getPeriod

    public PeriodType getPeriod()
    Period used to retrieve the medical cards that were valid on that period
    Returns:
      possible object is `PeriodType`

  - ### setPeriod

    public void setPeriod(PeriodType value)
    Sets the value of the period property.
    Parameters:
      `value` - allowed object is `PeriodType`
    See Also:
      - `getPeriod()`